#
# spec file for package abook
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           abook
BuildRequires:  gettext
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
Summary:        Text-based addressbook program
License:        GPL-2.0+
Group:          Productivity/Other
Version:        0.6.0pre2
Release:        21.4
Source:         http://abook.sourceforge.net/devel/%{name}-%{version}.tar.bz2
Patch0:         abook_vcard_import.patch
Url:            http://abook.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Abook is a text-based addressbook program designed to
use with mutt mail client.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags} -fgnu89-inline"
%configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README THANKS TODO sample.abookrc
%{_bindir}/abook
%{_mandir}/man1/abook.*
%{_mandir}/man5/abookrc.*

%changelog
* Thu Jun 18 2015 crrodriguez@opensuse.org
- Force GnU inline semantics, fix build with GCC5
- Do not use fstack-protector-all, but the builsystem default.
* Fri Dec  9 2011 coolo@suse.com
- COPYING says it's GPL-2.0+
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue Aug  9 2011 asn@cryptomilk.org
- add support for vcards
* Tue Dec 22 2009 wr@rosenauer.org
- use a hopefully better RPM group
* Thu Dec 18 2008 brandon@ifup.org
- Use %%{version} and make package version reflect upstream version
* Mon May  5 2008 wr@rosenauer.org
- revive abook with version 0.6.0pre2
